#! /usr/bin/env node

var fs = require("fs");
var colorize = require("./colorize.js");
var options = [];
var paths = [];

setOptionsAndPaths();

if (!paths.length) {
  echoUsageAndExit();
}

var output = "";
var showLineNumber = options.indexOf("n") > -1;

paths.forEach(function (path) {
  var code = fs.readFileSync(path, "utf-8");
  output += colorize(code, {
    lineNumber: showLineNumber
  })
})

process.stdout.write(output);
process.exit();

function setOptionsAndPaths() {
  var arguments = process.argv.slice(2);
  var noMoreOptions;
  arguments.forEach(function (argument) {
    if (argument === "--") {
      noMoreOptions = true;
    } else if (!noMoreOptions && argument[0] === "-") {
      options = options.concat([].slice.call(argument, 1));
    } else {
      paths.push(argument);
    }
  })
}

function echoUsageAndExit() {
  console.log("Usage: catjs [-n] [file ...]");
  process.exit();
}